Subject: bug#3075: 23.0.92; umlaut

From: Kenichi Handa <[email-masked]>
Date: Mon, 27 Apr 2009 20:07:39 +0900

In article <[email-masked]>, =?UTF-8?B?QW5kcmVhcyBSw7ZobGVy?= <[email-masked]> writes:

> > % emacs -Q
> > M-x describe-fontset RET
> >
> > and show me the contents of *Help* buffer before this line:
> >   ---<fallback to the default fontset>---
> >   

> got prompted "Fontset (default used by the current frame):"

> and a second RET was needed

Ah, yes, sorry.

> Fontset: -*-fixed-medium-r-*--16-*-*-*-*-*-fontset-16
> CHAR RANGE (CODE RANGE)
>     FONT NAME (REQUESTED and [OPENED])
> C-@ .. DEL
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-1
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-2
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-3
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-4
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-7
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-8
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-9
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-15
>     -*-fixed-medium-r-*--16-*-*-*-*-*-viscii1.1-1
>   .. ? (#xA0 .. #x24F)
>     -*-fixed-medium-r-*--16-*-*-*-*-*-iso8859-1
[...]

Ok, I found what is wrong.  This change is the culprit.

2009-03-11  Kenichi Handa  <[email-masked]>
[...]
	* frame.c (x_set_font): When ARG is a font-object, don't alter the
	fontset of the frame.

Please wait for a while, I need some time to fix it.

By the way, I noticed that menu-set-font (Options->Set
Default Font) modifies the font of the default face and that
change is reflected to the frame's font parameter, where as
set-default-font modifies the frame's font parameter and
that change is reflected to the default face.  Should these
operations yield completely the same result?  Or, are there
any intentional differences?

---
Kenichi Handa
[email-masked]